Bug 1903291

Summary: kernel: insecure handling of root directory for path lookups in fs/io_uring.c
Product: [Other] Security Response Reporter: Guilherme de Almeida Suckevicz <gsuckevi>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED DUPLICATE QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: acaringi, adscvr, airlied, bhu, blc, bmasney, brdeoliv, bskeggs, dhoward, dvlasenk, fhrbata, hdegoede, hkrzesin, itamar, jarodwilson, jeremy, jforbes, jglisse, jlelli, jonathan, josef, jshortt, jstancek, jwboyer, kcarcia, kernel-maint, kernel-mgr, lgoncalv, linville, masami256, mchehab, mjg59, mlangsdo, nmurray, pmatouse, ptalbert, qzhao, rvrbovsk, steved, walters, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel. A process inside a mounted namespace can escape to unintended filesystem locations during path lookups. The highest threat from this vulnerability is to data integrity.
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-12-03 11:57:54 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 1903293    
Bug Blocks: 1903292    

Description Guilherme de Almeida Suckevicz 2020-12-01 19:04:40 UTC
An issue was discovered in fs/io_uring.c in the Linux kernel before 5.6. It unsafely handles the root directory during path lookups, and thus a process inside a mount namespace can escape to unintended filesystem locations.

Reference:
https://bugs.chromium.org/p/project-zero/issues/detail?id=2011

Upstream patch:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=ff002b30181d30cdfbca316dadd099c3ca0d739c

Comment 1 Guilherme de Almeida Suckevicz 2020-12-01 19:09:08 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1903293]

Comment 2 Justin M. Forbes 2020-12-02 14:28:42 UTC
This was fixed for Fedora with the 5.6 kernel rebases.

Comment 3 Petr Matousek 2020-12-10 12:26:47 UTC

*** This bug has been marked as a duplicate of bug 1875818 ***